<?php
/**
 * Sets the body-tag class attribute.
 *
 * Adds 'sidebar-left', 'sidebar-right' or 'sidebars' classes as needed.
 */
function phptemplate_body_class($sidebar_left, $sidebar_right) {
  if ($sidebar_left != '' && $sidebar_right != '') {
	  $class = 'sidebars';
	}
	else {
		if ($sidebar_left != '') {
			$class = 'sidebar-left';
		}
		if ($sidebar_right != '') {
			$class = 'sidebar-right';
		}
	}
	
	if (isset($class)) {
		print ' class="'. $class .'"';
	}
}

/**
 * Return a themed breadcrumb trail.
 *
 * @param $breadcrumb
 *   An array containing the breadcrumb links.
 * @return a string containing the breadcrumb output.
 */
function phptemplate_breadcrumb($breadcrumb) {
  if (!empty($breadcrumb)) {
    return '<div class="breadcrumb">'. implode(' › ', $breadcrumb) .'</div>';
  }
}

/**
 * Returns the rendered local tasks. The default implementation renders
 * them as tabs. We defer rendering of the secondary local tasks until later (see below).
 *
 * @ingroup themeable
 */
function phptemplate_menu_local_tasks() {
  if ($primary = menu_primary_local_tasks()) {
    return "<ul class=\"tabs primary\">\n". $primary ."</ul>\n";
  }
}

/**
 * Override or insert PHPTemplate variables into the templates.
 */
function _phptemplate_variables($hook, $vars) {
  if ($hook == 'page') {
    $return = array();
    if (module_exists('themetastic')) {
      $return = _themetastic_page_alter($vars);
    }
    if ($secondary = menu_secondary_local_tasks()) {
      $return['secondary_tabs'] = "<ul class=\"tabs secondary\">\n". $secondary ."</ul>\n";
    }
    return $return;
  }
  return array();
}